[Numpy-discussion] Tuning sparse stuff in NumPy

Robert Cimrman cimrman3@ntc.zcu...
Tue Mar 27 13:16:25 CDT 2007


David Koch wrote:
> On 3/27/07, Robert Cimrman <cimrman3@ntc.zcu.cz> wrote:
>>
>>
>> ok. now which version of scipy (scipy.__version__) do you use (you may
>> have posted it, but I missed it)? Not so long ago, there was an effort
>> by Nathan Bell and others reimplementing sparsetools + scipy.sparse to
>> get better usability and performance. My (almost latest) version is
>> 0.5.3.dev2860.
>>
> My version is 0.5.2, the latest official version available for download,
> right?

I see. Now while it is desirable and fine in majority of cases to
install stable version of software, with numpy and scipy it is different
:-), as the development is very fast. You should try the 'bleeding edge'
versions via SVN, as many issues you see could have been already
fixed/improved. Thanks to the extensive unit testing, the latest version
usually (read: 99.9%) works better than the stable one.

r.


More information about the Numpy-discussion mailing list